VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IFocusViewObserver Class Referenceabstract
Version 4.5

focus view observer interface for CFrame More...

## Public Member Functions
virtual | ~IFocusViewObserver () noexcept=default
virtual void | onFocusViewChanged (CFrame *frame, CView *newFocusView, CView *oldFocusView)=0

## Detailed Description

focus view observer interface for CFrame

## Constructor & Destructor Documentation

virtual ~IFocusViewObserver | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

virtual void onFocusViewChanged | ( | CFrame * | frame,
|  | CView * | newFocusView,
|  | CView * | oldFocusView
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- cframe.h